@import 'https://cdnjs.cloudflare.com/ajax/libs/simple-line-icons/2.3.2/css/simple-line-icons.min.css';

* {  
  box-sizing: border-box;
}
html {
	line-height: 1.15;
	height: 100%;
}
body {
	font-family: Verdana, Arial, sans-serif;
	margin: 0;
	padding: 0;
	display: flex;
	flex-direction: column;
	height: 100%;
}
.inter-regular {	/* used in header */
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}
.site-header {
	margin: 0;
	padding: 1.6rem 1rem 1.6rem 2.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 5rem;
}
.logo {
	float: left;
}
.logo img {
	width: 50px;
	height: 50px;
	float: left;
}
.site-title {
	margin: 0px 10px 0 50px;
	font-size: 13px;
	display: flex;
    align-items: center;
	height: 50px;
}
.site-title a {
    text-decoration: none;
	font-size: 16px;
	font-weight: 500;
	padding-left: 15px;
}
.site-title span {
	padding: 0 15px 0 15px;
}

/* NAVIGATION */
.topnav {
	display: flex;
}
.userNav {
	width: 100%;
	padding: 0 1.5rem;
}
.topnav ul, .userNav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}
.userNav ul {
	flex-flow: row wrap;
}
.topnav li {
	margin-left: 5px;
}
.topnav li li
.topnav li:last-child {
    margin-right: 0;
}
.userNav li {
	margin: 0;
	flex-grow: 1;
}
.topnav li a {
    padding: 14px 16px;
	font-size: 14px;
	font-weight: 600;
	text-align: center;
	text-decoration: none;
	display: flex;
    align-items: center;
	white-space: nowrap;
}
.userNav li a {
	padding: 14px 16px;
	font-size: 14px;
	font-weight: 600;
	text-align: center;
	text-decoration: none;
	display: flex;
    align-items: center;
}
.topnav .icon {
    display: none;
}

/* Dropdown */
.menu-item-has-children {
    position: relative;

}
.menu-item-has-children a {
    display: flex;
    align-items: center;
}
.topnav ul ul, .userNav ul ul, .userNav ul ul ul {
	display: none;
    position: absolute;
    z-index: 1;
    top: 100%;
    width: 160px;
	transition: background-color 0.3s;
}
.userNav ul ul ul {
	margin-left: 160px;
	margin-top: -44px;
}
.topnav li li a {
	white-space: wrap !important;
}
.topnav li:hover > .sub-menu, .userNav li:hover > .sub-menu, .userNav li li:hover > .sub-sub-menu {
	display: block;
}
.topnav .sub-menu li {
	margin-top: 5px;
	margin-left: 0;
	padding-left: 0;
}
.menu-item-has-children > a::after {
	content: "\25BE";
}
.menu-item-has-children:hover > a::after {
	content: "\25B8";
}

/* FOOTER */
.footer {
	padding: 15px 15px 15px 0;
	font-size: 12px;
	font-style: italic;
	flex: 0 1 auto;
	text-align: right;
}

/* CONTENT */
.content {
	font-family: "Inter", sans-serif;
	font-weight: 400;
	line-height: 1.55;
	font-size: 1.05rem;
	font-style: normal;
	width: 80%;
	margin: 2% auto 2% auto;
	flex: 1 0 auto;
}
h1, h2, h3, h4, h5, h6 {
	font-family: "Cardo", serif;
	font-weight: 400;
	font-style: normal;
	margin: 0;
}
h1 {
	font-size: 2.5rem;
	margin-bottom: 0.5em;
}
h2 {
	font-size: 2.1rem;
}
h3 {
	font-size: 1.85rem;
}
h4 {
	font-size: 1.5rem;
}
a:hover {
	text-decoration: none;
	cursor: pointer;
}
.clear {
	clear: both;
}
.spacer {
	padding: 0 10px;
}
.indent {
	margin-left: 30px;
}
.floatCont {
	width: fit-content;
}
.left {
	float: left;
}
.right {
	float: right;
}
.center {
	text-align: center;
}
.subheader {
	width: fit-content;
	padding: 15px;
}
.info-inset {
	padding: 20px;
	min-width: 40%;
	width: 60%;
	margin: auto;
}
.fa-square-plus {
	font-size: 1.85rem;
	color: green;
	cursor:pointer;
}
.fa-square-minus {
	font-size: 1.85rem;
	color: red;
	cursor:pointer;
}
.fa-pen-to-square, .fa-rotate-left, .fa-square-poll-vertical {
	color: green;
}
.fa-x {
	color: red;
}
.fa-arrows-rotate {
	color: gold;
}
.fa-ban {
	color: #FF7F27;
}
.fa-circle-check {
	color: #2AC90C;
}
.event-row .fa-pen-to-square, .event-row .fa-x, .fa-ban, .event-row .fa-square-poll-vertical,
.poll-list-row .fa-pen-to-square, .poll-list-row .fa-x, .poll-list-row .fa-square-poll-vertical {
	background-color: #fff;
	padding: 2px 1px 1px 1px;
}
.pm {
	font-size: 24px;
}
.cellmessage {
	display: none;
}

/* FORM STUFF */
.asterisk {
	color: red;
	font-size: 14px;
}
label {
	padding: 10px;
	font-weight: bold;
	font-size: 13px;
}
.form-group {
	display: grid;
	grid-template-columns: auto 1fr;
	gap: 15px;
	margin-bottom: 15px;
}
input[type="text"] {
	padding: 10px;
	border: 1px solid #ccc;
	border-radius: 4px;
	width: 300px;
}
textarea {
	border: 1px solid #ccc;
	border-radius: 4px;
}
.button {
	border: none;
	padding: 15px 32px;
	text-align: center;
	text-decoration: none;
	display: inline-block;
	font-size: 16px;
	font-weight: bold;
	vertical-align: top;
}
.button:hover {
	cursor: pointer;
}

/* AUTO COMPLETE */
.autocomplete {
  /*the container must be positioned relative:*/
  position: relative;
  display: inline-block;
}
.autocomplete-items {
  position: absolute;
  border: 1px solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  /*position the autocomplete items to be the same width as the container:*/
  top: 100%;
  left: 0;
  right: 0;
  max-height: 400px;
  overflow: auto;
}
.autocomplete-items div {
  padding: 10px;
  cursor: pointer;
  border-bottom: 1px solid #d4d4d4;
}

/* CUSTOM DROPDOWN */
.selectFake {
	position: relative;
	width: fit-content;
	max-height: 199px;
	border: 1px solid #000;
	border-radius: 3px;
	margin-right: 10px;
	font-size: 12px;
}
.selectFake .title {
	position: relative;
	display: block;
	width: 100%;
	height: 100%;
	padding: 1em 2em;
	cursor: pointer;
}
.placeholder {
	position: relative;
	z-index: 0;
	display: inline-block;
	min-width: 100px;
	border-top: 0px;
	/* height: 100%; */
	padding: 1em 2em;
	cursor: pointer;
}
.fakeOptions {
	display: none;
	width: 100%;
	position: absolute;
	top: 100%;
	max-height: 176px;
	overflow-y: auto;
	z-index: 1;
}

/* CUSTOM TIME DROPDOWN */
.timeHours {
	float: left;
	max-height: 175px;
	overflow-y: scroll;
}
.timeMins {
	float: right;
	max-height: 175px;
	overflow-y: auto;
}

i.toggle {
	position: absolute;
	z-index: 4;
	right: 1.5em;
	top: 1.3em;
}
.icon-arrow-down {
	display: block;
}
.icon-arrow-up {
	display: none;
}

/* LIGHT/DARK TOGGLE */
	#styleToggle {
		width: 46px;
		background: url("../images/dark-light.png") no-repeat right;
		flex-shrink: 0;
	}
	/* Container for the toggle */
	.toggle-switch {
		position: relative;
		display: inline-block;
		width: 24px;
		height: 45px;
		float: left;
		margin-left: 6px;
		padding: 0;
	}
	/* Hide default checkbox */
	.toggle-switch input {
		opacity: 0;
		width: 0;
		height: 0;
	}
	/* The track */
	.slider {
		position: absolute;
		cursor: pointer;
		background-color: #ccc;
		border-radius: 24px;
		width: 100%;
		height: 100%;
		transition: background-color 0.3s;
	}
	/* The circular slider */
	.slider::before {
		content: "";
		position: absolute;
		height: 20px;
		width: 20px;
		left: 2px;
		bottom: 2px;
		background-color: white;
		border-radius: 50%;
		transition: transform 0.3s;
	}
	/* Toggled state */
	.toggle-switch input:checked+.slider {
		background-color: #4caf50;
	}
	.toggle-switch input:checked+.slider::before {
		transform: translateY(-22px);
	}
	
/* POLLS */
#countdownTimer {
	font-size: initial;
}
.pollEntry_Cont {
	color: #000 !important;
	background-color: #C9C9C9 !important;
	border-radius: 16px;
	position: relative;
	margin: 5px 0;
	height: 25px;
	z-index: -2;
	padding: 2px 3px;
}
.pollEntry_Result {
	border-radius:16px;
	position: relative;
	width: 100%;
	height: 100%;
}
.pollEntry_Result span {
	display: inline-block;
	border-radius: 16px;
	position: absolute;
	height: 100%;
	background-color: #1C8708 !important;
	z-index: -1;
}
.pollEntry_Text {
	padding: 0 5px;
	position: relative;
	line-height: normal;
	font-size: 11px;
}
.pollEntry_Text span {
	display: inline-block;
	position: absolute;
	margin: 3px 0;
	left: 0;
	right: 0;
	text-align: center;
}
/* Create */
#create_pollOptions {
	display: flex;
}
.pollDates {
	display: grid;
	grid-template-columns: repeat(3, auto);
	grid-template-rows: repeat(2, min-content);
	gap: 20px;
	width: fit-content;
}

/* BETA */
.dev-banner {
	text-align: center;
	padding: 10px;
	background-color: #EB9D9D;
	color: #000;
}

/* Quill */
.ql-container, .ql-editor {
	height: unset !important;
}

/* FORMS */
	/* Fake Checkboxes/Radios */
	.toggleCheck {
		display: flex;
		position: relative;
		padding-left: 35px;
		cursor: pointer;
		user-select: none;
	}
	/* Hide the browser's default */
	.toggleCheck input {
		position: absolute;
		opacity: 0;
		cursor: pointer;
	}
	/* Create a custom checkbox */
	.checkmark {
		position: absolute;
		left: 0;
		height: 25px;
		width: 25px;
		background-color: #eee;
	}
	/* extra for radio */
	.radio {
		border-radius: 50%;
	}
	/* When the checkbox is checked, add a blue background */
	.checkbox input:checked ~ .checkmark, .toggleCheck input:checked ~ .radio {
		background-color: #2196F3;
	}
	/* Create the checkmark/indicator (hidden when not checked) */
	.fakeCheck:after {
		content: "";
		position: absolute;
		display: none;
	}
	/* Show the checkmark when checked */
	.toggleCheck input:checked ~ .fakeCheck:after {
		display: block;
	}
	/* Style the checkmark/indicator */
	.toggleCheck .checkSymbol:after {
		left: 9px;
		top: 5px;
		width: 5px;
		height: 10px;
		border: solid white;
		border-width: 0 3px 3px 0;
		transform: rotate(45deg);
	}
	/* Style the indicator (dot/circle) */
	.toggleCheck .radio:after {
		top: 9px;
		left: 9px;
		width: 8px;
		height: 8px;
		border-radius: 50%;
		background: white;
	}